local Reverse = string.find(GAMESTATE:GetPlayerState(pn):GetPlayerOptionsString("ModsLevel_Preferred"), "Reverse");
local t = Def.ActorFrame{
	-- light
	Def.Sprite {
		Texture="tap light1";
		Frame0000=0;
		Delay0000=1;
		InitCommand=function(self)
			if Reverse then
				self:finishtweening():blend("BlendMode_Add"):vertalign(bottom):addy(45):diffusealpha(0)
			else
				self:finishtweening():blend("BlendMode_Add"):vertalign(bottom):addy(-45):diffusealpha(0):addrotationz(180)
			end
		end,
		PressCommand=NOTESKIN:GetMetricA('ReceptorPressLight', 'PressCommand');
		LiftCommand=NOTESKIN:GetMetricA('ReceptorPressLight', 'LiftCommand');
		NoneCommand=NOTESKIN:GetMetricA('ReceptorArrow', 'NoneCommand');
	};
	Def.Sprite {
		Texture=NOTESKIN:GetPath( '_circle', 'receptor base' );
		Frame0000=0;
		Delay0000=1;
		InitCommand=function(self)
			if Reverse then
				self:finishtweening()
			else
				self:finishtweening():addrotationz(180)
			end
		end,
		NoneCommand=NOTESKIN:GetMetricA('ReceptorArrow', 'NoneCommand');
		PressCommand=NOTESKIN:GetMetricA('ReceptorArrow', 'NoneCommand');
	};
	Def.Sprite {
		Texture="button2";
		Frame0000=0;
		Delay0000=1;
		InitCommand=function(self)
			if Reverse then
				self:addy(32):diffusealpha(1)
			else
				self:addy(-32):diffusealpha(1):addrotationz(180)
			end
		end,
		NoneCommand=NOTESKIN:GetMetricA('ReceptorArrow', 'NoneCommand');
	};
	Def.Sprite {
		Texture="button1";
		Frame0000=0;
		Delay0000=1;
		InitCommand=function(self)
			if Reverse then
				self:addy(32):diffusealpha(1)
			else
				self:addy(-32):diffusealpha(1):addrotationz(180)
			end
		end,
		PressCommand=NOTESKIN:GetMetricA('ReceptorButton', 'PressCommand');
		LiftCommand=NOTESKIN:GetMetricA('ReceptorButton', 'LiftCommand');
		NoneCommand=NOTESKIN:GetMetricA('ReceptorArrow', 'NoneCommand');
	};


};

return t;